FROM penahub.gitlab.yandexcloud.net:5050/devops/dockerhub-backup/node as build

RUN apk update && rm -rf /var/cache/apk/*
WORKDIR /usr/app
COPY . .

RUN yarn install --ignore-scripts --non-interactive --frozen-lockfile && yarn cache clean
RUN yarn build
RUN yarn build:widget


FROM penahub.gitlab.yandexcloud.net:5050/devops/dockerhub-backup/nginx as result
WORKDIR /usr/share/nginx/html
COPY --from=build /usr/app/dist/ /usr/share/nginx/html
COPY --from=build /usr/app/widget/widget.js /usr/share/nginx/html/export/pub.js
COPY hub.conf /etc/nginx/conf.d/default.conf
